"pbivpois" <-
function(x, y, lambda = c(1, 1, 1), log=FALSE) {
# ------------------------------------------------------------------------------
# Karlis and Ntzoufras (2003, 2004)
# EM algorithms for Bivariate Poisson Models
# ------------------------------------------------------------------------------
# x      : 1st count variable
# y      : 2nd count variable
# lambda : parameters of the bivariate poisson distribution
# log    : argument controlling the calculation of the log-probability or the 
#          probability function. 
# ------------------------------------------------------------------------------
	n <- length(x)
#
	x0<-x[1]
	y0<-y[1]
	xymin<-min( x0,y0 )
	lambdaratio<-lambda[3]/(lambda[1]*lambda[2])
#	
	i<-0:xymin
	sums<- -lgamma(x-i+1)-lgamma(i+1)-lgamma(y-i+1)+i*log(lambdaratio)
	maxsums <- max(sums)
	sums<- sums - maxsums
	logsummation<- log( sum(exp(sums)) ) + maxsums 
	logbp<- -sum(lambda) + x * log( lambda[1] ) + y * log( lambda[2] ) + logsummation 
	logbp
	if (log) { result<-    logbp }
	else     { result<-exp(logbp)  }
	result
#	end of function bivpois
}

