\name{pbivpois}
\alias{pbivpois}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Probability Function of the Bivariate Poisson Distribution}
\description{Returns the probability the probability (or the log) of the bivariate poisson distribution for values x and y.}
\usage{
pbivpois(x, y, lambda = c(1, 1, 1), log = FALSE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{ 
	\item{x, y}{
		single values containing which values should evaluated
	}
	\item{lambda}{
  	Vector (of length 3) containing values of the parameters lambda_1, lambda_2 and lambda_3 of the bivariate Poisson distribution.
  }
 	\item{log}{
 		Logical argument for calculating the log probability or the probability function. The default value is false (calculates the probability function)
	}
}
\details{This function evaluates the probability function (or the log) of the bivariate Poisson distribution with parameters lambda_1, lambda_2 and lambda_3. Much faster than bivpois.table since it avoid `for-loops' and does not use recursive relations.}

\value{A single value of the probability of PD(lambda_1, lambda_2, lambda_3) evaluated at (x,y) when log=TRUE or the log-probability of PD(lambda_1, lambda_2, lambda_3) evaluated at (x,y) when log=FALSE}

\references{
1.      Karlis, D. and Ntzoufras, I. (2004). Bivariate Poisson and Diagonal Inflated Bivariate Poisson Regression Models in S. (submitted). Technical Report, Department of Statistics, Athens University of Economics and Business, Athens, Greece.

2.      Karlis, D. and Ntzoufras, I. (2003). Analysis of Sports Data Using Bivariate Poisson Models. Journal of the Royal Statistical Society, D, (Statistician), 52, 381  393. 
}

\author{
1.      Dimitris Karlis, Department of Statistics, Athens University of Economics and Business, Athens, Greece, \email{karlis@aueb.gr} .

2.      Ioannis Ntzoufras, Department of Statistics, Athens University of Economics and Business, Athens, Greece, \email{ntzoufras@aueb.gr}  .
}


\seealso{
	\code{\link{bivpois.table}}.
	\code{\link{simple.bp}}.
	\code{\link{lm.bp}}.
	\code{\link{lm.dibp}}. 
	}

\examples{
pbivpois(3, 1)                        # probability function of (x,y)=(3,1) for lambda_1=1, lambda_2=1, lambda_3=1

pbivpois(3, 1, lambda=(3,1,1))        # probability function of (x,y)=(3,1) for lambda_1=3, lambda_2=1, lambda_3=1

pbivpois(3, 1, lambda=(3,1,1), log=TRUE) # log-probability function of (x,y)=(3,1) for lambda_1=1, lambda_2=1, lambda_3=1
}

\keyword{distribution}

